#ifndef INCLUDED_crapsound_H
#define INCLUDED_crapsound_H

struct CrapSoundSample
{
	const unsigned char *const data;
	long length;
	CrapSoundSample(const unsigned char * const data, long length) : data(data), length(length) {}
};

struct CrapSoundSampleDisk
{
	unsigned char data[45000];
	long length;
	CrapSoundSampleDisk(const char *filename);
};

class CrapSound
{
public:
	CrapSound();
	~CrapSound();
	void Play(const CrapSoundSample& sample);
	void Play(const CrapSoundSampleDisk& sample);
private:
	void Play(const unsigned char *data, long length);
};

#endif
